Heisenberg_C10H
Contributor
Contributor

Compatibilidad de cabina HP con VMware 5.5.

Jump to solution

Buenas tardes.

Tengo una pequeña duda sobre la compatibilidad de una cabina con la versión 5.5 del VMware. Actualmente disponemos de una cabina HP MSA2324sa con un par de Esx y la versión 4.1 del VMware.

Consultando la matriz de compatibilidades (VMware Compatibility Guide: Storage/SAN Search) me he encontrado con que la cabina es sólo compatible con las siguientes versiones (4.1 en esx y 5.1 en esxi):

version.PNG

Tenemos en mente un proyecto que implicaría la renovación de uno de los esx y la actualización a la versión 5.5.La cuestión que nos plantemos es: ¿con la MSA2324sa sería posible migrar a la v. 5.5?

Entendemos que según la matriz de compatibilidades no sería posible, pero si algún experto me lo puede confirmar se lo agradecería. Supongo que si no aparece como compatible migrar a la v5.5 podría darnos problemas.

Muchas Gracias.

1 Solution

Accepted Solutions
LoganDominguez
Enthusiast
Enthusiast

Hola,

Siempre es preferible realizar el upgrade del firmware de las controladoras debido a las mejoras y los problemas documentados que solventa. Por otro lado añadirte que ese modelo de cabina si que funciona con la v.5.5, yo lo he testeado y lo tengo funcionando en algunos sitios pero siempre en entornos de pre-producción, laboratorio o desarrollo ya que como comentaban mis compañeros en los posts anteriores no es recomendable utilizarlo como storage productivo ya que si en algún momento tuvieras alguna incidencia puede que no tuvieras soporte con VMware.

De todas formas por si te interesa te pongo un pantallazo de los niveles de firmware de las controladoras de una de estas cabinas.

msa2324sa.JPG

Saludos,

Logan

View solution in original post

6 Replies
leonhardtla
Expert
Expert

Hola amigo,

mi consejo es que hagas un upgrade de tus esxi a 5.1 que haciendo eso ganas bastante Smiley Wink, si oficialmente no está soportado, no lo hagas, puesto que te puede dar mas de un dolor de cabeza.

Suele pasar que aunque no figure en VMware como compatible, no dé nunca un problema, pero aquí ya no entro.

Puedes también consultar la guía técnica del storage para buscar mas información sobre los esxi soportados, versiones y demás configuraciones.

Un saludo.

----- Leandro Ariel Leonhardt: Virtualized System Architect at GrupoSothis.com. VSAN vExpert 2016, vExpert 2017/16/15/14/13, VMware Certified Instructor, VCAP5-DCA, VCP6/5-DCV, VCA-DCV, Nutanix NPP/NSEN & Nutanix Technology Champions (NTC). | Founder of BlogVMware Blog: https://www.blogvmware.com & Nutanix Course http://vExpert.me/Z0 Si encuentras que esta o cualquier otra respuesta fue de utilidad, por favor da el voto. Gracias. If you find this or any other answer useful, please consider awarding points. Thank you.
jorgedlcruz
Enthusiast
Enthusiast

Buenas tardes,

Como dice Leo, lo mejor es subir al máximo que permita y ponga VMware. Al ser además almacenamiento SAS, no puedes jugartela, seguramente no esté ni el firmware o driver para hacerla funcionar en versiones posteriores, o no esté testeado.

Otra cosa que puedes hacer, es meter a esa cabina un server dedicado, modesto, conectarlo por SAS. y por encima meterle un Sistema operativo tipo Nexenta, o Windows Server 2012R2, etc, y compartir los shares por NFS hacía los ESXi, que ya si podrían ser 5.5, o lo que soporte los servidores que no lo detallas. Es una solución más rudimentaria, pero bueno, puede funcionarte bien.

Un saludo

Heisenberg_C10H
Contributor
Contributor

Muchas gracias a los dos por vuestra rápida respuesta. Revisaré la documentación técnica pero salvo que encuentre algún documento que me asegure la compatibilidad seguiré vuestro consejo y nos quedaremos en la v51.

Al hilo de la intervención y tras revisar el estado de la cabina veo que la versión del firmware de las controladoras es bastante viejo (para ser exactos de 2009). Existen unas 3 o 4 revisiones posteriores.

Supongo que será más que recomendable actualizar el firmware antes de migrar a una nueva versión de VMware (por motivos de estabilidad y compatibilidad), pero como estos procesos de actualización de firmware a veces dan problemas no sé si intentar la migración a la v 5.1 sin tocar el firmware.

¿Qué me recomendáis?

0 Kudos
LoganDominguez
Enthusiast
Enthusiast

Hola,

Siempre es preferible realizar el upgrade del firmware de las controladoras debido a las mejoras y los problemas documentados que solventa. Por otro lado añadirte que ese modelo de cabina si que funciona con la v.5.5, yo lo he testeado y lo tengo funcionando en algunos sitios pero siempre en entornos de pre-producción, laboratorio o desarrollo ya que como comentaban mis compañeros en los posts anteriores no es recomendable utilizarlo como storage productivo ya que si en algún momento tuvieras alguna incidencia puede que no tuvieras soporte con VMware.

De todas formas por si te interesa te pongo un pantallazo de los niveles de firmware de las controladoras de una de estas cabinas.

msa2324sa.JPG

Saludos,

Logan
Heisenberg_C10H
Contributor
Contributor

Muchísimas gracias, seguiré todas las recomendaciones que me habéis dado. Cuando finalicemos la instalación os comento cómo ha ido todo.

Un saludo,

0 Kudos
sanmarfe
Expert
Expert

Estimado, buenos días.

Recuerda que según la versión que vayas a instalar (ESXi) es la versión de firmware soportada.

Te dejo una captura de la vmware hcl de la version 5.1 u2 y tu HP.

Capture05-12-2013-05.32.49 p.m.14-05-2014-09.25.25 a.m..jpg

Espero haber sido de utilidad.

Saludos,

S.G.

Sanmarfe. VMware Certified Professional VCP3/VCP4/VCP5 VTSP4 / VTSP5 Si esta u otra respuesta es util, por favor marca su correspondiente notificador. Gracias/Regards